{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Contracts - View{% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered" xmlns="http://www.w3.org/1999/html">
    <div class="hero-body">
        <p class="title">
            {{ mission.project }} 
        </p>
        <p class="subtitle">
            Status - {{mission.status}}
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-4">
    <div class="section  is-centered">
        {% if mission.status == 'Proposed' %}
        <h1 class="title">Proposed Mission</h1>
        {% elif mission.status == 'Approved' %}
        <h1 class="title">Approved Mission</h1>
        {% elif mission.status == 'Completed' or mission.status == 'Reimbursed' %}
        <h1 class="title">Completed Mission</h1>
        {% else %}
        <h1 class="title">Mission</h1>
        {% endif %}

        <table class="table">
            <tbody>
                {% if mission.resubmit_reason %}
                <div class="has-text-weight-bold is-italic">
                    <p class="has-text-danger-dark">* {{mission.resubmit_reason}}</p><br>
                </div>
                {% endif %}
                {% if mission.resubmit_proof_reason %}
                <div class="has-text-weight-bold is-italic">
                    <p class="has-text-danger-dark">* {{mission.resubmit_proof_reason}}</p><br>
                </div>
                {% endif %}
                <tr>
                    <th>Proposer</th>
                    <td> {{ mission.proposer }} </td>
                </tr>
                
                <tr>
                    <th>Project</th>
                    <td> {{mission.project.name|wordwrap:30|linebreaks}}</td>
                </tr>
                <tr>
                    <th>From Date</th>
                    <td> {{mission.from_date}}</td>
                </tr>
                <tr>
                    <th>To Date</th>
                    <td> {{mission.to_date}}</td>
                </tr>
                <tr>
                    <th>Location Name</th>
                    <td> {{mission.location_name}}</td>
                </tr>
                <tr>
                    <th>Location Type</th>
                    <td> {{mission.location_type}}</td>
                </tr>
                <tr>
                    <th>Members</th>
                    <td>
                        {% for member in mission.members.all %}
                         {{member.first_name}} {{member.last_name}}<br>
                         {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Total Estimated Budget</th>
                    <td> {{mission.total_budget}} {{mission.currency}}</td>
                </tr>
                <tr>
                    <th>Upfront Budget Required</th>
                    <td> {{mission.upfront_amount}} {{mission.currency}}</td>
                </tr>
                {% if mission.status == 'Reimburse' or mission.status == 'Accepted' or mission.status == 'Reimburse Review' %}
                <tr>
                    <th>Total Expenditure</th>
                    <td> {{mission.total_expenditure}} {{mission.currency}}</td>
                </tr>
                <tr>
                    <th>Reimburse Amount</th>
                    <td> {{mission.reimburse_amount}} {{mission.currency}}</td>
                </tr>
                {% endif %}
            </tbody>
        </table>
        {% if user.is_superuser %}
            {% if mission.status == 'Proposed' or mission.status == 'Resubmitted' %}
            <a href="{% url 'mission_resubmit' mission_id=mission.id %}"><button type="submit" class="button is-link"> Ask to resubmit </button></a>
            &nbsp;<a href="{% url 'mission_approved' mission_id=mission.id %}"><button type="submit" class="button is-success"> Approve </button></a>
            {% endif %}
        {% endif %}
        {% if mission.status == 'Resubmit' and employee.id == mission.proposer.id %}
        <a href="{% url 'mission_edit' mission_id=mission.id %}"><button type="submit" class="button is-link"> Edit </button></a>
        {% elif mission.status == 'Approved' and employee.id == mission.proposer.id %}
        <a href="{% url 'mission_completed' mission_id=mission.id %}"><button type="submit" class="button is-success"> Mission Completed </button></a>
        {% elif mission.status == 'Completed' or mission.status == 'Resubmit Proofs' and employee.id == mission.proposer.id %}
            {% if mission.proofs.all %}
            <a href="{% url 'mission_proof' mission_id=mission.id %}"><button type="submit" class="button is-success"> Upload Expenditure </button></a>
            {% else %}
            <a href="{% url 'mission_reimburse' mission_id=mission.id %}"><button type="submit" class="button is-success"> Upload Expenditure </button></a>
            {% endif %}
        {% endif %}
    </div>
</div>


    <div class="columns">
        <div class="column  is-two-thirds  is-offset-3">
            <div class="block mt-5">
        {% if mission.status == 'Reimburse' or mission.status == 'Accepted' or mission.status == 'Reimburse Review' %}
        <p class="title">Proofs</p>
        <table class="table">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>Description</th>
                    <th>Amount</th>
                    <th>Currency</th>
                    <th>Document</th>

                </tr>
            </thead>
            <tbody>
                {% for proof in mission.proofs.all %}
                    <tr>
                        <td> {{proof.date}}</td>
                        <td>{{proof.description}}</td>
                        <td> {{proof.amount}}</td>
                        <td> {{proof.currency}}</td>
                        <td> <a href="{{ proof.document.url }}" target="_blank" rel="noopener">{{proof}}</a><br></td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>  
        {% endif %}      
        {% if mission.status == 'Reimburse Review' and user.is_superuser %}
            <a href="{% url 'proof_resubmit' mission_id=mission.id %}"><button type="submit" class="button is-link"> Ask to resubmit proofs </button></a>
            &nbsp;<a href="{% url 'mission_reimbursed' mission_id=mission.id %}"><button type="submit" class="button is-success"> Accepted </button></a>
        {% endif %}
            </div>
        </div>
    </div>

{% endblock %}